/* this will let you run Easy Sniffer on a 'raw socket' letting you
know of any connection to any port on the host. Run es -r. */

#define RAW_SUPPORT 0
#define ETHERNET_SUPPORT 1
#define PTPLINK_SUPPORT 0
#define LOOPBACK_SUPPORT 0

#define MAX_PACK_SIZE 2048

#define LOG_MAC_ADDRESSES 1

#define LOG_IP_ADDRESSES 1

#define LOG_TO_FILE 1

#define CRYPT_LOG 0

#define TCP 1
#define UDP 0
#define ICMP 0

#define LOG_SRC_PORT 1
#define LOG_DST_PORT 1

#if LOG_MAC_ADDRESSES
	#define LOG_SRC_ADDRESS 1
	#define LOG_DST_ADDRESS 1
	unsigned char LOG_SRC_MAC [][17]= { "00:01:02:03:04:05",
				            "00:01:02:03:04:06"};
	unsigned char LOG_DST_MAC [][17]= { "00:01:02:03:04:05",
				            "00:01:02:03:04:06"};
#endif

#if LOG_IP_ADDRESSES
	#define LOG_SRC_IP 1
	#define LOG_DST_IP 1
	unsigned char LOG_SRC_IPS [][16]= { "127.0.0.1",
				            "192.168.1.1"};
	unsigned char LOG_DST_IPS [][16]= { "127.0.0.1",
				            "192.168.1.1"};
#endif

#if LOG_TO_FILE
	#define LOG_FILE "/tmp/Easy_Sniffer.log"
	#define FILE_PERM 0600
	#define OWNER "root"
	#define GROUP "root"

/* with CREATE on, the log file will be created. 0 will append the new logs
to the same file */
	#define CREATE 1
/* with the flag below you tell Easy Sniffer if it should create a new
log file if it is not found when already running (1) or abort the logs (0)
*/
	#define R_CREATE 0
	#if CRYPT_LOG
		#define CRYPT_KEY "Please change me!"
		#define XOR 0
		#define DES 0
		#define TRIPLEDES 0
		#define BLOWFISH 0
		#define CHECK XOR + DES + TRIPLEDES + BLOWFISH
		#if CHECK > 1
		    #error Please choose just ONE criptographic algoritm.
		#endif
		#if XOR < 1
		    #if DES < 1
		    	#if TRIPLEDES < 1
			    #if BLOWFISH < 1
				#error Please choose a criptographic algorithm first.
			    #endif
			#endif
		    #endif
		#endif
	#endif
#endif

#if TCP
	#define PROTOCOL "tcp"
	int LOG_DST_PORTS [] = 	{23, 
				21};
	
	int LOG_SRC_PORTS [] = 	{23, 
				21};
#elif UDP
	#define PROTOCOL "udp"
	int LOG_DST_PORTS [] = 	{23, 
				21};
	
	int LOG_SRC_PORTS [] = 	{23, 
				21};
#elif ICMP
	#define PROTOCOL "icmp"
	#define LOG_ECHO_REQUEST 0
	#define LOG_ECHO_REPLY 0
	#define LOG_REDIRECT 0
#else 
#ifndef PROTOCOL
    #error You must define a protocol to listen to !. Please modify config.h.
#endif
#endif
